/* -*- Emacs Mode: C++ -*- */

/*	strlink.c - StrLink Class - implementation

	Copyright (C) 1989, Integrity Software
	Author: Isaac J. Salzman (salzman@rand.org)

	This software may be freely used/modified/distributed
	as desired so long as this copyright notice remains
	in tact.
*/

#ifndef lint
static char *RcsId = "$Header: /tmp_mnt/amnt/lh/salzman/src/class/RCS/strlink.c,v 1.1 89/09/17 15:01:29 salzman Exp Locker: salzman $";
#endif

/*
 * $Log:	strlink.c,v $
 * Revision 1.1  89/09/17  15:01:29  salzman
 * Initial revision
 * 
 */

#include <stdio.h>
#include <string.h>

#include "strlink.h"

DEF_INIT(StrLink)(char *s)
{
    string = s;

    INIT_SUPER(Link,());
    
    RETURN_THIS;
}

DEF_DEST(StrLink)(void)
{
	DESTROY_SUPER;
}

void StrLink::showval(void)
{
	printf("string = %s\n", string);
}

int StrLink::compare(char *item)
{
    return(strcmp(string, item));
}
