/* -*- Emacs Mode: C++ -*- */

/*	strlink.h  - StrLink Class header (linked list of strings)

	Copyright (C) 1989, Integrity Software
	Author: Isaac J. Salzman (salzman@rand.org)

	This software may be freely used/modified/distributed
	as desired so long as this copyright notice remains
	in tact.
*/

/*
 *------------------------------------------------------------------
 * $Header: /tmp_mnt/amnt/lh/salzman/src/class/RCS/strlink.h,v 1.1 89/09/17 15:01:36 salzman Exp Locker: salzman $
 *------------------------------------------------------------------
 * $Log:	strlink.h,v $
 * Revision 1.1  89/09/17  15:01:36  salzman
 * Initial revision
 * 
*/

#ifndef _H_strlink
#define _H_strlink

#include "link.h"

class StrLink : INHERIT_PUBLIC Link
{
PROTECTED	/* our descendants can access this member */
	char *string;
	
PUBLIC	
	DECL_INIT(StrLink)(char *);
	DECL_DEST(StrLink)(void);
	
	void showval(void);
    int compare(char *);
};

#endif
